Subject: [Sip] Post-WGLC review: draft-ietf-sip-session-policy-framework-02.txt

From: "Mary Barnes" <[email-masked]>
Date: Wed, 5 Sep 2007 12:26:57 -0500

Keith,

Here's my review of the updated document.  I do encourage past reviewers
to also re-review, as there have been chunks of normative text added.
Also, note that the diff is a bit difficult to totally use in places due
to the addition/deletion sections and text being re-arranged.

Mary.

========================================================================
===============================

Draft:  draft-ietf-sip-session-policy-framework-02
Reviewer: Mary Barnes
Review Date: 5 Sept 2007
Review Deadline: 9 Sept 2007
Status: Post-WGLC

Summary: This draft is ready for publication.  There are a few nits
which are detailed below, most of which could just be left for the RFC
editor to fix. 

Comments:
----------
I reviewed the diff for this document as compared to the version 
I previously reviewed. All my previous concerns have been addressed.

I also reviewed the new text and overall it seems okay and definitely
helps clarify and add precision to the document.   However, as is the
case anytime you edit a document, there were a few editorial nits
introduced in the newer text.

Nits:
------
- Section 4.4.1., 3rd para, 1st sentence: resent -> resend (this is a
subtle grammar nit and it was actually I that suggested the change from
"resend" to "resent" in another sentence, but since the stucture of the
sentence is different in this case, the form of the verb changes. I can
go on an on about the grammatical differences between these two
sentences and the use "resend" vs "resent" - it's basically that
"resend" is considered an irregular verb, thus, it doesn't follow normal
rules for the past, past participle, or adverb forms which is "resent".
The present tense should follow the "MAY" for this sentence and in the
other sentence, the adverb form is used due to the "can be"). 

OLD:
  The UAC MAY resent the unchanged request if it cannot setup a policy  
  channel to the policy server,  
NEW:
  The UAC MAY resend the unchanged request if it cannot setup a policy 
              ^^^^^^ 
  channel to the policy server,  

- Section 4.5.1, 4th paragraph, 6th sentence: servers -> server

OLD:  
  The UAC MUST set up a policy channel to each new policy servers.

NEW:
  The UAC MUST set up a policy channel to each new policy server. 
                                                               ^ 
- Section 4.5.2, 1st paragraph, 2nd sentence: server -> servers (or
"they were" -> "it was")

OLD:
  The UA MUST contact the policy server in the order in which they were
discovered most recently. 
NEW:
  The UA MUST contact the policy servers in the order in which they were
discovered most recently. 

- Section 6.3. in the table for the "Reference", it lists "This
document", however, it really should be the published RFC. In the past,
I've seen the notation: "RFCxxxx", with a note to the RFC-Editor to
replace the "RFCxxx" with the assigned RFC number.  Now, I'm assuming
that just makes it slightly easier and that even without this, they
would enter the correct RFC number. 
  
-----Original Message-----
From: DRAGE, Keith (Keith) [mailto:[email-masked]] 
Sent: Sunday, August 26, 2007 1:40 PM
To: [email-masked]
Subject: RE: [Sip] I-D
ACTION:draft-ietf-sip-session-policy-framework-02.txt

(As SIP WG co-chair)

This version of the document would claim to address all the WGLC
comments, and should therefore be ready for publication.

Could I ask all people that addressed WGLC comments on this document to
check that their comments have been addressed. If anyone else out there
has a chance for a reread of the document, that would also be
appropriate.

Assuming that all is OK, we will be progressing the publication request
for this document in a week or two.

Regards

Keith

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, August 24, 2007 7:15 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Sip] I-D
> ACTION:draft-ietf-sip-session-policy-framework-02.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> This draft is a work item of the Session Initiation Protocol Working 
> Group of the IETF.
> 
> 	Title		: A Framework for Session Initiation 
> Protocol (SIP) Session Policies
> 	Author(s)	: V. Hilt, et al.
> 	Filename	: draft-ietf-sip-session-policy-framework-02.txt
> 	Pages		: 33
> 	Date		: 2007-8-24
> 	
> Proxy servers play a central role as an intermediary in the Session
>    Initiation Protocol (SIP) as they define and impact policies on 
> call
>    routing, rendezvous, and other call features.  This document
>    specifies a framework for SIP session policies that provides a
>    standard mechanism by which a proxy can define or influence 
> policies
>    on sessions, such as the codecs or media types to be used.  It
>    defines a model, an overall architecture and new protocol 
> mechanisms
>    for session policies.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-sip-session-pol
> icy-framework-02.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in the body of

> the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the 
> username "anonymous" and a password of your e-mail address. After 
> logging in, type "cd internet-drafts" and then "get 
> draft-ietf-sip-session-policy-framework-02.txt".
> 
> A list of Internet-Drafts directories can be found in 
> http://www.ietf.org/shadow.html or 
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE
> /internet-drafts/draft-ietf-sip-session-policy-framework-02.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 
> Below is the data which will enable a MIME compliant mail reader 
> implementation to automatically retrieve the ASCII version of the 
> Internet-Draft.
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip